import { MockAnkiConnect } from './mockAnkiConnect.js';
export interface TestDeck {
    name: string;
}
export declare function initializeTestTracking(): void;
export declare function cleanupTestResources(ankiConnect: MockAnkiConnect): Promise<void>;
export interface TestBasicNote {
    deck: string;
    front: string;
    back: string;
    tags: string[];
}
export interface TestClozeNote {
    deck: string;
    text: string;
    backExtra?: string;
    tags: string[];
}
export interface TestNoteType {
    name: string;
    fields: string[];
    css: string;
    templates: Array<{
        name: string;
        front: string;
        back: string;
    }>;
}
export declare function createTestDeck(): TestDeck;
export declare function createTestBasicNote(deckName: string): TestBasicNote;
export declare function createTestClozeNote(deckName: string): TestClozeNote;
export declare function createTestNoteType(): TestNoteType;
export declare function expectError(error: unknown, message?: string): void;
